Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157927 - epiphany fails to start after update (libgtkembedmoz.so missing)
Summary: epiphany fails to start after update (libgtkembedmoz.so missing)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: epiphany
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-17 07:28 UTC by drago01
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-09 11:05:47 UTC


Attachments (Terms of Use)

Description drago01 2005-05-17 07:28:20 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de-DE; rv:1.7.8) Gecko/20050513 Fedora/1.0.4-1.3.1 Firefox/1.0.4

Description of problem:
I updated epiphany today using yum after the update I tryed to start it but nothing happend. So I typed epiphany in a gnome-terminal and got this error:
--
epiphany: error while loading shared libraries: libgtkembedmoz.so: cannot open shared object file: No such file or directory
--
locate libgtkembedmoz.so
shows:
---
/usr/lib/mozilla-1.7.8/libgtkembedmoz.so
/usr/lib/firefox-1.0.4/libgtkembedmoz.so
/usr/lib/thunderbird-1.0.2/libgtkembedmoz.so
---
where does epiphany looks for that file?
tryed to run ldconfig but nothing changed

Version-Release number of selected component (if applicable):
epiphany-1.4.4-4.3.3

How reproducible:
Always

Steps to Reproduce:
1.start epiphany in a gnome-terminal
2. see the errormessage instead of epiphany beeing started
  

Actual Results:  epiphany: error while loading shared libraries: libgtkembedmoz.so: cannot open shared object file: No such file or directory

Expected Results:  epiphany should start (lib is present 3 times...)

Additional info:

Comment 1 drago01 2005-05-17 07:30:40 UTC
did starce -e trace=open epiphany and got this:
-------
strace -e trace=open epiphany
open("/usr/lib/mozilla-1.7.7/tls/i686/libgtkembedmoz.so", O_RDONLY) = -1 ENOENT
(No such file or directory)
open("/usr/lib/mozilla-1.7.7/tls/libgtkembedmoz.so", O_RDONLY) = -1 ENOENT (No
such file or directory)
open("/usr/lib/mozilla-1.7.7/i686/libgtkembedmoz.so", O_RDONLY) = -1 ENOENT (No
such file or directory)
open("/usr/lib/mozilla-1.7.7/libgtkembedmoz.so", O_RDONLY) = -1 ENOENT (No such
file or directory)
open("/etc/ld.so.cache", O_RDONLY)      = 3
open("/lib/tls/i686/libgtkembedmoz.so", O_RDONLY) = -1 ENOENT (No such file or
directory)
open("/lib/tls/libgtkembedmoz.so", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/lib/i686/libgtkembedmoz.so", O_RDONLY) = -1 ENOENT (No such file or
directory)
open("/lib/libgtkembedmoz.so", O_RDONLY) = -1 ENOENT (No such file or
directory)open("/usr/lib/tls/i686/libgtkembedmoz.so", O_RDONLY) = -1 ENOENT (No
such file or directory)
open("/usr/lib/tls/libgtkembedmoz.so", O_RDONLY) = -1 ENOENT (No such file or
directory)
open("/usr/lib/i686/libgtkembedmoz.so", O_RDONLY) = -1 ENOENT (No such file or
directory)
open("/usr/lib/libgtkembedmoz.so", O_RDONLY) = -1 ENOENT (No such file or directory)
epiphany: error while loading shared libraries: libgtkembedmoz.so: cannot open
shared object file: No such file or directory
---------------------
seems that the update to mozilla 1.7.8 has caused the issue..
epiphany needs to be updated to use the new location

Comment 2 Bojan Smojver 2005-05-17 09:28:20 UTC
Even if the path to this library is put into /etc/ld.so.conf (and after running
ldconfig), it still doesn't work. It complains about missing MOZILLA_FILE_HOME
environment variable. Setting the variable makes no difference...

Comment 3 Bojan Smojver 2005-05-17 09:29:01 UTC
Sorry, the above should MOZILLA_FIVE_HOME, of course.

Comment 4 Marco Pesenti Gritti 2005-05-17 09:44:03 UTC
Hmmm strange, looks like it's trying to use mozilla 1.7.7 but, according to the
Changelog, epiphany-1.4.4-4.3.3 has been built with 1.7.8.

CCing caillon since he built the package

Comment 5 Matthew Miller 2006-07-10 21:45:48 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 6 drago01 2007-02-09 11:05:47 UTC
this do no longer happen


Note You need to log in before you can comment on or make changes to this bug.